<!DOCTYPE html>
<html>
    <head>
        <title>Course registration</title>
        <style>
            .modal {
                display: none; 
                position: fixed;
                z-index: 1; 
                left: 0;
                top: 0;
                width: 100%;
                height: 100%;
                overflow: auto; 
                background-color: rgb(0,0,0); 
                background-color: rgba(0,0,0,0.4);
            }

            .modal-content {
                background-color: #fefefe;
                margin: 5% auto; 
                padding: 20px;
                border: 1px solid #888;
                width: 20%; 
            }

            .close {
                color: #aaa;
                float: right;
                text-align: right;
                font-size: 28px;
                font-weight: bold;
            }

            .close:hover,
            .close:focus {
                color: black;
                text-decoration: none;
                cursor: pointer;
            } 
            .inputField {
                width: 150px;
                float: right;
            }
        </style>
    </head>
    <body>
        <button onclick="registerClick()">Register</button>
        <div id="register-modal" class="modal">
            <div class="modal-content">
                <span class="close" onclick="registerCloseClick()">&times;</span>
                <h3>Register</h3><hr>
                <div>
                    <form name="registerForm" id="register-form" onsubmit="validateRegisterForm()">
                        <label for="ifname" style="width: 150px;">First name:</label>
                        <input type="text" id="ifname" name="ifname" class="inputField" minlength="3" required><br><br>
                        <label for="ilname" style="width: 150px;">Last name:</label>
                        <input type="text" id="ilname" name="ilname" class="inputField" minlength="3" required><br><br>
                        <label for="iuniversity" style="width: 150px;">University:</label>
                        <input list="universities" name="iuniversity" id="iuniversity" class="inputField" required><br><br>
                        <datalist id="universities">
                            <option value="Lviv Polytechnic National University"/>
                            <option value="Lviv National University"/>
                            <option value="Chernivtsi National University"/>
                        </datalist>
                        <label for="icourse" style="width: 150px;">Course:</label>
                        <select id="icourse" name="icourse" class="inputField" required>
                            <option value="121">Software Development</option>
                            <option value="122">Computer Science</option>
                            <option value="171">Electronics</option>
                        </select><br><br>
                        <label for="iemail" style="width: 150px;">Email:</label>
                        <input type="text" id="iemail" name="iemail" class="inputField" pattern="\w+@\w+\.(?!ru)[a-z]{2,7}" required><br><br>
                        <label for="inumber" style="width: 150px;">Phone number:</label>
                        <input type="text" id="inumber" name="inumber" class="inputField" pattern="\+380[0-9]{9}" required><br><br>
                        <p>Select technologies you want to learn: </p>
                        <input type="checkbox" id="ic-c" name="ic-c" class="ic">
                        <label for="ic-c">C</label><br>
                        <input type="checkbox" id="ic-cpp" name="ic-cpp" class="ic">
                        <label for="ic-cpp">C++</label><br>
                        <input type="checkbox" id="ic-cs" name="ic-cs" class="ic">
                        <label for="ic-cs">C#</label><br>
                        <input type="checkbox" id="ic-java" name="ic-java" class="ic">
                        <label for="ic-java">Java</label><br>
                        <input type="checkbox" id="ic-js" name="ic-js" class="ic">
                        <label for="ic-js">JavaScript</label><br>
                        <p>Ask any questions:</p>
                        <textarea id="iquestions" name="iquestions" rows="4" cols="30"></textarea><br><hr>
                        <input type="submit" value="Register">
                        <button onclick="registerCloseClick()">Cancel</button>
                    </form>
                </div>
            </div>
        </div>
        <div id="no-choice-modal" class="modal">
            <div class="modal-content">
                <h3>C course</h3><hr>
                <p>You didn't choose any of the offered courses. Would you like to enroll in our free C course? Please choose the date below.</p>
                <input type="date" style="text-align: center; float: center;" id="course-date" name="course-date">
                <input type="submit" value="Register">
                <button onclick="noChoiceCloseClick()">Cancel</button>
            </div>
        </div>
        <script>
            var registerModal=document.getElementById("register-modal");
            var noChoiceModal = document.getElementById("no-choice-modal");
            function registerClick()
            {
                registerModal.style.display = "block";
            }
            function registerCloseClick()
            {
                registerModal.style.display = "none";
            }
            window.onclick = function(event) {
                if (event.target.className.includes("modal")) {
                event.target.style.display = "none";
                }
            } 
            function validateRegisterForm() 
            {
                var noChecked = true;
                for (const checkbox of document.getElementsByClassName("ic"))
                    if (checkbox.checked)
                        noChecked = false;
                registerModal.style.display = "none";
                if (noChecked)
                    noChoiceModal.style.display = "block";
            }
            function noChoiceCloseClick()
            {
                noChoiceModal.style.display = "none";
            }
            var form = document.getElementById("register-form");
            function handleForm(event) { event.preventDefault(); } 
            form.addEventListener('submit', handleForm);
        </script>
    </body>
</html>